import { newSpecPage } from "@stencil/core/testing";
import { BpSdkBusinessClassificationSelectorCardContent } from "./bp-sdk-business-classification-selector-card-content";
describe('bp-sdk-business-classification-selector-card-content', () => {
    it('renders', async () => {
        const page = await newSpecPage({
            html: '<bp-sdk-business-classification-selector-card-content></bp-sdk-business-classification-selector-card-content>',
            components: [BpSdkBusinessClassificationSelectorCardContent],
        });
        await page.waitForChanges();
        const element = page.root.querySelector('div');
        expect(element).toBeTruthy();
        expect(page.root.querySelector('bp-sdk-external-business-classification-selector-card-content')).toBeFalsy();
    });
    it('renders external component if defined', async () => {
        const whenDefinedMock = jest
            .spyOn(customElements, 'whenDefined')
            .mockResolvedValueOnce({});
        const page = await newSpecPage({
            html: '<bp-sdk-business-classification-selector-card-content></bp-sdk-business-classification-selector-card-content>',
            components: [BpSdkBusinessClassificationSelectorCardContent],
        });
        await page.waitForChanges();
        expect(page.root.querySelector('bp-sdk-external-business-classification-selector-card-content')).toBeTruthy();
        whenDefinedMock.mockRestore();
    });
});
