'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-ceff47a0.js');

const bpSdkTakeOverButtonCss = "";
const BpSdkTakeOverButtonStyle0 = bpSdkTakeOverButtonCss;

const BpSdkTakeOverButton = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.useExternal = false;
    }
    resetState() { }
    connectedCallback() {
        this.resetState();
    }
    componentWillLoad() {
        this.useExternal = !!customElements.get('bp-sdk-external-take-over-button');
        customElements.whenDefined('bp-sdk-external-take-over-button').then(() => {
            this.useExternal = true;
        });
    }
    render() {
        return [
            this.useExternal && this.renderExternal(),
            !this.useExternal && this.renderInternal(),
        ];
    }
    renderExternal() {
        return index.h("bp-sdk-external-take-over-button", null);
    }
    renderInternal() {
        return (index.h("bp-sdk-button", { class: "bp-sdk-take-over-button__container", text: "Take Over" }));
    }
};
BpSdkTakeOverButton.style = BpSdkTakeOverButtonStyle0;

exports.bp_sdk_take_over_button = BpSdkTakeOverButton;
